Package com.io7m.idstore.protocol.admin.cb.internal

# Class IdACB1ValidationUser

java.lang.Object
com.io7m.idstore.protocol.admin.cb.internal.IdACB1ValidationUser

public final class IdACB1ValidationUser extends Object
Functions to translate between the core command set and the Admin v1 Cedarbridge encoding command set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdACommandUserBanCreate`
  `fromWireCommandUserBanCreate(IdA1CommandUserBanCreate c)`
  `static IdACommandUserBanDelete`
  `fromWireCommandUserBanDelete(IdA1CommandUserBanDelete c)`
  `static IdACommandUserBanGet`
  `fromWireCommandUserBanGet(IdA1CommandUserBanGet c)`
  `static IdACommandUserCreate`
  `fromWireCommandUserCreate(IdA1CommandUserCreate c)`
  `static IdACommandUserDelete`
  `fromWireCommandUserDelete(IdA1CommandUserDelete c)`
  `static IdACommandUserEmailAdd`
  `fromWireCommandUserEmailAdd(IdA1CommandUserEmailAdd c)`
  `static IdACommandUserEmailRemove`
  `fromWireCommandUserEmailRemove(IdA1CommandUserEmailRemove c)`
  `static IdACommandUserGet`
  `fromWireCommandUserGet(IdA1CommandUserGet c)`
  `static IdACommandUserGetByEmail`
  `fromWireCommandUserGetByEmail(IdA1CommandUserGetByEmail c)`
  `static IdACommandUserSearchBegin`
  `fromWireCommandUserSearchBegin(IdA1CommandUserSearchBegin c)`
  `static IdACommandUserSearchByEmailBegin`
  `fromWireCommandUserSearchByEmailBegin(IdA1CommandUserSearchByEmailBegin c)`
  `static IdACommandUserSearchByEmailNext`
  `fromWireCommandUserSearchByEmailNext(IdA1CommandUserSearchByEmailNext c)`
  `static IdACommandUserSearchByEmailPrevious`
  `fromWireCommandUserSearchByEmailPrevious(IdA1CommandUserSearchByEmailPrevious c)`
  `static IdACommandUserSearchNext`
  `fromWireCommandUserSearchNext(IdA1CommandUserSearchNext c)`
  `static IdACommandUserSearchPrevious`
  `fromWireCommandUserSearchPrevious(IdA1CommandUserSearchPrevious c)`
  `static IdACommandUserUpdate`
  `fromWireCommandUserUpdate(IdA1CommandUserUpdate c)`
  `static IdAResponseUserBanCreate`
  `fromWireResponseUserBanCreate(IdA1ResponseUserBanCreate c)`
  `static IdAResponseUserBanDelete`
  `fromWireResponseUserBanDelete(IdA1ResponseUserBanDelete c)`
  `static IdAResponseUserBanGet`
  `fromWireResponseUserBanGet(IdA1ResponseUserBanGet c)`
  `static IdAResponseUserCreate`
  `fromWireResponseUserCreate(IdA1ResponseUserCreate c)`
  `static IdAResponseUserDelete`
  `fromWireResponseUserDelete(IdA1ResponseUserDelete c)`
  `static IdAResponseUserGet`
  `fromWireResponseUserGet(IdA1ResponseUserGet c)`
  `static IdAResponseUserSearchBegin`
  `fromWireResponseUserSearchBegin(IdA1ResponseUserSearchBegin c)`
  `static IdAResponseUserSearchByEmailBegin`
  `fromWireResponseUserSearchByEmailBegin(IdA1ResponseUserSearchByEmailBegin c)`
  `static IdAResponseUserSearchByEmailNext`
  `fromWireResponseUserSearchByEmailNext(IdA1ResponseUserSearchByEmailNext c)`
  `static IdAResponseUserSearchByEmailPrevious`
  `fromWireResponseUserSearchByEmailPrevious(IdA1ResponseUserSearchByEmailPrevious c)`
  `static IdAResponseUserSearchNext`
  `fromWireResponseUserSearchNext(IdA1ResponseUserSearchNext c)`
  `static IdAResponseUserSearchPrevious`
  `fromWireResponseUserSearchPrevious(IdA1ResponseUserSearchPrevious c)`
  `static IdAResponseUserUpdate`
  `fromWireResponseUserUpdate(IdA1ResponseUserUpdate c)`
  `static IdA1CommandUserBanCreate`
  `toWireCommandUserBanCreate(IdACommandUserBanCreate c)`
  `static IdA1CommandUserBanDelete`
  `toWireCommandUserBanDelete(IdACommandUserBanDelete c)`
  `static IdA1CommandUserBanGet`
  `toWireCommandUserBanGet(IdACommandUserBanGet c)`
  `static IdA1CommandUserCreate`
  `toWireCommandUserCreate(IdACommandUserCreate c)`
  `static IdA1CommandUserDelete`
  `toWireCommandUserDelete(IdACommandUserDelete c)`
  `static IdA1CommandUserEmailAdd`
  `toWireCommandUserEmailAdd(IdACommandUserEmailAdd c)`
  `static IdA1CommandUserEmailRemove`
  `toWireCommandUserEmailRemove(IdACommandUserEmailRemove c)`
  `static IdA1CommandUserGet`
  `toWireCommandUserGet(IdACommandUserGet c)`
  `static IdA1CommandUserGetByEmail`
  `toWireCommandUserGetByEmail(IdACommandUserGetByEmail c)`
  `static IdA1CommandUserSearchBegin`
  `toWireCommandUserSearchBegin(IdACommandUserSearchBegin c)`
  `static IdA1CommandUserSearchByEmailBegin`
  `toWireCommandUserSearchByEmailBegin(IdACommandUserSearchByEmailBegin c)`
  `static IdA1CommandUserSearchByEmailNext`
  `toWireCommandUserSearchByEmailNext(IdACommandUserSearchByEmailNext c)`
  `static IdA1CommandUserSearchByEmailPrevious`
  `toWireCommandUserSearchByEmailPrevious(IdACommandUserSearchByEmailPrevious c)`
  `static IdA1CommandUserSearchNext`
  `toWireCommandUserSearchNext(IdACommandUserSearchNext c)`
  `static IdA1CommandUserSearchPrevious`
  `toWireCommandUserSearchPrevious(IdACommandUserSearchPrevious c)`
  `static IdA1CommandUserUpdate`
  `toWireCommandUserUpdate(IdACommandUserUpdate c)`
  `static IdA1ResponseUserBanCreate`
  `toWireResponseUserBanCreate(IdAResponseUserBanCreate r)`
  `static IdA1ResponseUserBanDelete`
  `toWireResponseUserBanDelete(IdAResponseUserBanDelete r)`
  `static IdA1ResponseUserBanGet`
  `toWireResponseUserBanGet(IdAResponseUserBanGet r)`
  `static IdA1ResponseUserCreate`
  `toWireResponseUserCreate(IdAResponseUserCreate r)`
  `static IdA1ResponseUserDelete`
  `toWireResponseUserDelete(IdAResponseUserDelete r)`
  `static IdA1ResponseUserGet`
  `toWireResponseUserGet(IdAResponseUserGet r)`
  `static IdA1ResponseUserSearchBegin`
  `toWireResponseUserSearchBegin(IdAResponseUserSearchBegin r)`
  `static IdA1ResponseUserSearchByEmailBegin`
  `toWireResponseUserSearchByEmailBegin(IdAResponseUserSearchByEmailBegin r)`
  `static IdA1ResponseUserSearchByEmailNext`
  `toWireResponseUserSearchByEmailNext(IdAResponseUserSearchByEmailNext r)`
  `static IdA1ResponseUserSearchByEmailPrevious`
  `toWireResponseUserSearchByEmailPrevious(IdAResponseUserSearchByEmailPrevious r)`
  `static IdA1ResponseUserSearchNext`
  `toWireResponseUserSearchNext(IdAResponseUserSearchNext r)`
  `static IdA1ResponseUserSearchPrevious`
  `toWireResponseUserSearchPrevious(IdAResponseUserSearchPrevious r)`
  `static IdA1ResponseUserUpdate`
  `toWireResponseUserUpdate(IdAResponseUserUpdate r)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### toWireResponseUserSearchBegin

    public static IdA1ResponseUserSearchBegin toWireResponseUserSearchBegin(IdAResponseUserSearchBegin r)

  - ### toWireResponseUserSearchNext

    public static IdA1ResponseUserSearchNext toWireResponseUserSearchNext(IdAResponseUserSearchNext r)

  - ### toWireResponseUserSearchPrevious

    public static IdA1ResponseUserSearchPrevious toWireResponseUserSearchPrevious(IdAResponseUserSearchPrevious r)

  - ### toWireResponseUserSearchByEmailBegin

    public static IdA1ResponseUserSearchByEmailBegin toWireResponseUserSearchByEmailBegin(IdAResponseUserSearchByEmailBegin r)

  - ### toWireResponseUserSearchByEmailNext

    public static IdA1ResponseUserSearchByEmailNext toWireResponseUserSearchByEmailNext(IdAResponseUserSearchByEmailNext r)

  - ### toWireResponseUserSearchByEmailPrevious

    public static IdA1ResponseUserSearchByEmailPrevious toWireResponseUserSearchByEmailPrevious(IdAResponseUserSearchByEmailPrevious r)

  - ### toWireResponseUserUpdate

    public static IdA1ResponseUserUpdate toWireResponseUserUpdate(IdAResponseUserUpdate r)

  - ### toWireResponseUserGet

    public static IdA1ResponseUserGet toWireResponseUserGet(IdAResponseUserGet r)

  - ### toWireResponseUserDelete

    public static IdA1ResponseUserDelete toWireResponseUserDelete(IdAResponseUserDelete r)

  - ### toWireResponseUserCreate

    public static IdA1ResponseUserCreate toWireResponseUserCreate(IdAResponseUserCreate r)

  - ### toWireResponseUserBanCreate

    public static IdA1ResponseUserBanCreate toWireResponseUserBanCreate(IdAResponseUserBanCreate r)

  - ### toWireResponseUserBanDelete

    public static IdA1ResponseUserBanDelete toWireResponseUserBanDelete(IdAResponseUserBanDelete r)

  - ### toWireResponseUserBanGet

    public static IdA1ResponseUserBanGet toWireResponseUserBanGet(IdAResponseUserBanGet r)

  - ### toWireCommandUserUpdate

    public static IdA1CommandUserUpdate toWireCommandUserUpdate(IdACommandUserUpdate c)

  - ### toWireCommandUserSearchByEmailNext

    public static IdA1CommandUserSearchByEmailNext toWireCommandUserSearchByEmailNext(IdACommandUserSearchByEmailNext c)

  - ### toWireCommandUserSearchByEmailPrevious

    public static IdA1CommandUserSearchByEmailPrevious toWireCommandUserSearchByEmailPrevious(IdACommandUserSearchByEmailPrevious c)

  - ### toWireCommandUserSearchByEmailBegin

    public static IdA1CommandUserSearchByEmailBegin toWireCommandUserSearchByEmailBegin(IdACommandUserSearchByEmailBegin c)

  - ### toWireCommandUserSearchNext

    public static IdA1CommandUserSearchNext toWireCommandUserSearchNext(IdACommandUserSearchNext c)

  - ### toWireCommandUserSearchPrevious

    public static IdA1CommandUserSearchPrevious toWireCommandUserSearchPrevious(IdACommandUserSearchPrevious c)

  - ### toWireCommandUserSearchBegin

    public static IdA1CommandUserSearchBegin toWireCommandUserSearchBegin(IdACommandUserSearchBegin c)

  - ### toWireCommandUserEmailRemove

    public static IdA1CommandUserEmailRemove toWireCommandUserEmailRemove(IdACommandUserEmailRemove c)

  - ### toWireCommandUserEmailAdd

    public static IdA1CommandUserEmailAdd toWireCommandUserEmailAdd(IdACommandUserEmailAdd c)

  - ### toWireCommandUserGet

    public static IdA1CommandUserGet toWireCommandUserGet(IdACommandUserGet c)

  - ### toWireCommandUserGetByEmail

    public static IdA1CommandUserGetByEmail toWireCommandUserGetByEmail(IdACommandUserGetByEmail c)

  - ### toWireCommandUserBanDelete

    public static IdA1CommandUserBanDelete toWireCommandUserBanDelete(IdACommandUserBanDelete c)

  - ### toWireCommandUserBanGet

    public static IdA1CommandUserBanGet toWireCommandUserBanGet(IdACommandUserBanGet c)

  - ### toWireCommandUserBanCreate

    public static IdA1CommandUserBanCreate toWireCommandUserBanCreate(IdACommandUserBanCreate c)

  - ### toWireCommandUserCreate

    public static IdA1CommandUserCreate toWireCommandUserCreate(IdACommandUserCreate c)

  - ### toWireCommandUserDelete

    public static IdA1CommandUserDelete toWireCommandUserDelete(IdACommandUserDelete c)

  - ### fromWireResponseUserBanCreate

    public static IdAResponseUserBanCreate fromWireResponseUserBanCreate(IdA1ResponseUserBanCreate c)

  - ### fromWireResponseUserBanDelete

    public static IdAResponseUserBanDelete fromWireResponseUserBanDelete(IdA1ResponseUserBanDelete c)

  - ### fromWireResponseUserBanGet

    public static IdAResponseUserBanGet fromWireResponseUserBanGet(IdA1ResponseUserBanGet c)

  - ### fromWireResponseUserCreate

    public static IdAResponseUserCreate fromWireResponseUserCreate(IdA1ResponseUserCreate c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireResponseUserDelete

    public static IdAResponseUserDelete fromWireResponseUserDelete(IdA1ResponseUserDelete c)

  - ### fromWireResponseUserGet

    public static IdAResponseUserGet fromWireResponseUserGet(IdA1ResponseUserGet c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireResponseUserSearchBegin

    public static IdAResponseUserSearchBegin fromWireResponseUserSearchBegin(IdA1ResponseUserSearchBegin c)

  - ### fromWireResponseUserSearchByEmailBegin

    public static IdAResponseUserSearchByEmailBegin fromWireResponseUserSearchByEmailBegin(IdA1ResponseUserSearchByEmailBegin c)

  - ### fromWireResponseUserSearchByEmailNext

    public static IdAResponseUserSearchByEmailNext fromWireResponseUserSearchByEmailNext(IdA1ResponseUserSearchByEmailNext c)

  - ### fromWireResponseUserSearchByEmailPrevious

    public static IdAResponseUserSearchByEmailPrevious fromWireResponseUserSearchByEmailPrevious(IdA1ResponseUserSearchByEmailPrevious c)

  - ### fromWireResponseUserSearchNext

    public static IdAResponseUserSearchNext fromWireResponseUserSearchNext(IdA1ResponseUserSearchNext c)

  - ### fromWireResponseUserSearchPrevious

    public static IdAResponseUserSearchPrevious fromWireResponseUserSearchPrevious(IdA1ResponseUserSearchPrevious c)

  - ### fromWireResponseUserUpdate

    public static IdAResponseUserUpdate fromWireResponseUserUpdate(IdA1ResponseUserUpdate c) throws IdProtocolException, IdPasswordException
    Throws:
      `IdProtocolException`
      `IdPasswordException`

  - ### fromWireCommandUserBanCreate

    public static IdACommandUserBanCreate fromWireCommandUserBanCreate(IdA1CommandUserBanCreate c)

  - ### fromWireCommandUserBanDelete

    public static IdACommandUserBanDelete fromWireCommandUserBanDelete(IdA1CommandUserBanDelete c)

  - ### fromWireCommandUserBanGet

    public static IdACommandUserBanGet fromWireCommandUserBanGet(IdA1CommandUserBanGet c)

  - ### fromWireCommandUserCreate

    public static IdACommandUserCreate fromWireCommandUserCreate(IdA1CommandUserCreate c) throws IdPasswordException, IdProtocolException
    Throws:
      `IdPasswordException`
      `IdProtocolException`

  - ### fromWireCommandUserDelete

    public static IdACommandUserDelete fromWireCommandUserDelete(IdA1CommandUserDelete c)

  - ### fromWireCommandUserEmailAdd

    public static IdACommandUserEmailAdd fromWireCommandUserEmailAdd(IdA1CommandUserEmailAdd c)

  - ### fromWireCommandUserEmailRemove

    public static IdACommandUserEmailRemove fromWireCommandUserEmailRemove(IdA1CommandUserEmailRemove c)

  - ### fromWireCommandUserGet

    public static IdACommandUserGet fromWireCommandUserGet(IdA1CommandUserGet c)

  - ### fromWireCommandUserGetByEmail

    public static IdACommandUserGetByEmail fromWireCommandUserGetByEmail(IdA1CommandUserGetByEmail c)

  - ### fromWireCommandUserSearchBegin

    public static IdACommandUserSearchBegin fromWireCommandUserSearchBegin(IdA1CommandUserSearchBegin c)

  - ### fromWireCommandUserSearchNext

    public static IdACommandUserSearchNext fromWireCommandUserSearchNext(IdA1CommandUserSearchNext c)

  - ### fromWireCommandUserSearchPrevious

    public static IdACommandUserSearchPrevious fromWireCommandUserSearchPrevious(IdA1CommandUserSearchPrevious c)

  - ### fromWireCommandUserSearchByEmailBegin

    public static IdACommandUserSearchByEmailBegin fromWireCommandUserSearchByEmailBegin(IdA1CommandUserSearchByEmailBegin c)

  - ### fromWireCommandUserSearchByEmailNext

    public static IdACommandUserSearchByEmailNext fromWireCommandUserSearchByEmailNext(IdA1CommandUserSearchByEmailNext c)

  - ### fromWireCommandUserSearchByEmailPrevious

    public static IdACommandUserSearchByEmailPrevious fromWireCommandUserSearchByEmailPrevious(IdA1CommandUserSearchByEmailPrevious c)

  - ### fromWireCommandUserUpdate

    public static IdACommandUserUpdate fromWireCommandUserUpdate(IdA1CommandUserUpdate c) throws IdPasswordException
    Throws:
      `IdPasswordException`